Subject: bug#7728: 24.0.50; GDB backtrace from abort

From: martin rudalics <[email-masked]>
Date: Wed, 12 Jan 2011 16:59:37 +0100

> Shouldn't (doesn't?) set-window-configuration simply signal an error if
 > the selected-frame is different from the frame from which the
 > window-config comes?

By design `set-window-configuration' does not care about which frame or
window is selected at the time it is called.  IIUC it simply restores
the configuration of the frame of the first saved window in its
CONFIGURATION argument via

   frame = XWINDOW (SAVED_WINDOW_N (saved_windows, 0)->window)->frame;

martin